# FoundationClasses
TKernel
TColStd

# TColStd_HSequenceOfHAsciiString Class Reference

`#include <TColStd_HSequenceOfHAsciiString.hxx>`

Inheritance diagram for TColStd_HSequenceOfHAsciiString:

[legend]

## Public Member Functions

| TColStd_HSequenceOfHAsciiString ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | Append (const Handle(TColStd_HSequenceOfHAsciiString)&aSequence)
Standard_EXPORT void | Prepend (const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | Prepend (const Handle(TColStd_HSequenceOfHAsciiString)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfHAsciiString)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfHAsciiString)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_TCollection_HAsciiString & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColStd_SequenceOfHAsciiString & | Sequence () const
TColStd_SequenceOfHAsciiString & | ChangeSequence ()
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfHAsciiString | mySequence

## Constructor & Destructor Documentation

TColStd_HSequenceOfHAsciiString::TColStd_HSequenceOfHAsciiString | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Append | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Append | ( | const Handle(TCollection_HAsciiString)& | anItem | ) |

TColStd_SequenceOfHAsciiString& TColStd_HSequenceOfHAsciiString::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_TCollection_HAsciiString& TColStd_HSequenceOfHAsciiString::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Clear | ( |  | ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColStd_HSequenceOfHAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TCollection_HAsciiString)& | anItem
| ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TCollection_HAsciiString)& | anItem
| ) |

Standard_Boolean TColStd_HSequenceOfHAsciiString::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_HSequenceOfHAsciiString::Length | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Prepend | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Prepend | ( | const Handle(TCollection_HAsciiString)& | anItem | ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::Reverse | ( |  | ) |

const TColStd_SequenceOfHAsciiString& TColStd_HSequenceOfHAsciiString::Sequence | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfHAsciiString::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(TCollection_HAsciiString)& | anItem
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString TColStd_HSequenceOfHAsciiString::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString TColStd_HSequenceOfHAsciiString::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& TColStd_HSequenceOfHAsciiString::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColStd_SequenceOfHAsciiString TColStd_HSequenceOfHAsciiString::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSequenceOfHAsciiString.hxx